# 概要

HARK Python のサンプルです。

最初に、
. setup.sh
で環境変数を設定してください。

# 各サンプルの説明

## 総和
- 概要
   - 2つの入力の総和を出力する
- 実行方法
   - batchflow samples/sum.n
- 関連ファイル
   - sum.py
   - sum.n

## 音声波形の表示
- 概要
   - matplotlib による音声波形の表示
- 実行方法
   - batchflow samples/plotwave.n
- 関連ファイル
   - plotwave.py
   - plotwave.n

## スペクトルの表示
- 概要
   - matplotlib によるパワースペクトルの表示
- 実行方法
   - batchflow samples/plotspec.n
- 関連ファイル
   - plotspec.py
   - plotspecum.n

## MUSIC スペクトルの表示
- 概要
   - LocalizeMUSIC の MUSIC スペクトルの matplotlib による表示
- 実行方法
   - batchflow samples/plotmusic.n
- 関連ファイル
   - plotmusic.py
   - plotmusic.n


## Low Pass Filter
- 概要
   - scipy.signal による音声ファイルの LPF 処理
- 実行方法
   - batchflow samples/signalproc.n
- 関連ファイル
   - signalproc.py
   - signalproc.n


## HTTP 通信
- 概要
   - 音源定位結果を受け取り、サーバに POST で送信する
- 実行方法
   1. サーバの起動
      python communication_server.py
   2. HARK の起動
      batchflow samples/communication.n
- 関連ファイル
   - communication.py
   - communication.n
   - communication_server.py
