import harkpython.harkbasenode as harkbasenode
import numpy
import pylab


class HarkNode (harkbasenode.HarkBaseNode):
    def __init__(self):
        self.outputNames = ("output",)
        self.outputTypes = ("prim_int",)
        pylab.ion()
        pylab.hold(False)

        # plot width in samples
        self.width = 16000 * 10  # 5 seconds

        self.yrange = [-1, 1]

    def calculate(self):
        data = numpy.array(self.input)

        # Update buffer
        if self.count == 0:
            self.buffer = data
        else:
            self.buffer = numpy.c_[self.buffer, data][:, -self.width:]

        #  update Yrange 
        self.yrange[1] = max(self.yrange[1], self.buffer.max())
        self.yrange[0] = min(self.yrange[0], self.buffer.min())

        # Update plot for every 100 counts (= 1 sec)
        if self.count % 100 == 0:
            pylab.clf()
            pylab.plot(self.buffer.transpose()[:, 0])
            pylab.ylim(self.yrange)
            pylab.draw()

        # Dummy output
        self.outputValues["output"] = 0
