#!/usr/bin/env batchflow
<?xml version="1.0"?>
<Document>
  <Network type="subnet" name="MAIN">
    <Node name="node_Constant_1" type="Constant" x="160" y="250">
      <Parameter name="VALUE" type="subnet_param" value="ARG1" description="The value"/>
    </Node>
    <Node name="node_InputStream_1" type="InputStream" x="340" y="250">
      <Parameter name="TYPE" type="string" value="" description="Type of stream: stream, fd, or FILE (default stream)"/>
      <Parameter name="RETRY" type="int" value="" description="If set to N, InputStream will retry N times on open fail"/>
    </Node>
    <Node name="node_loop_1" type="loop" x="540" y="250">
    </Node>
    <Link from="node_Constant_1" output="VALUE" to="node_InputStream_1" input="INPUT"/>
    <Link from="node_InputStream_1" output="OUTPUT" to="node_loop_1" input="INPUT"/>
    <NetOutput name="OUTPUT" node="node_loop_1" terminal="OUTPUT" object_type="any" description="Dynamic"/>
  </Network>
  <Network type="iterator" name="loop">
    <Node name="node_AudioStreamFromWave_1" type="AudioStreamFromWave" x="460" y="220">
      <Parameter name="LENGTH" type="int" value="512" description="The frame length of each channel (in samples) [default: 512]."/>
      <Parameter name="ADVANCE" type="int" value="160" description="The shift length beween adjacent frames (in samples)[default: 160]."/>
      <Parameter name="USE_WAIT" type="bool" value="false" description="If true, real recording is simulated [default: false]."/>
    </Node>
    <Node name="node_PyCodeExecutor_1" type="PyCodeExecutor" x="460" y="340">
      <Parameter name="DIRECTORY_NAME" type="string" value="" description="The directory name of your python code. It will inserted to sys.path."/>
      <Parameter name="MODULENAME" type="string" value="signalproc" description="Your python module name to import, i.e., your python code file name WITHOUT extension."/>
      <Parameter name="CLASSNAME" type="string" value="HarkNode" description="Your class name to call in this node."/>
      <Parameter name="DEBUG" type="bool" value="false" description="Debug option. If true, it prints input list and output list."/>
    </Node>
    <Node name="node_SaveWavePCM_1" type="SaveWavePCM" x="460" y="440">
      <Parameter name="BASENAME" type="string" value="signalproc_" description="Basename of files. [default: sep_]"/>
      <Parameter name="ADVANCE" type="int" value="160" description="The shift length beween adjacent frames (in samples)[default: 160]."/>
      <Parameter name="SAMPLING_RATE" type="int" value="16000" description="Sampling rate (in samples)[default: 16000]."/>
      <Parameter name="BITS" type="string" value="int16" description="Bit format of samples. int16 , int24 and float32 bits are supported."/>
    </Node>
    <Link from="node_AudioStreamFromWave_1" output="AUDIO" to="node_PyCodeExecutor_1" input="input"/>
    <Link from="node_PyCodeExecutor_1" output="output" to="node_SaveWavePCM_1" input="INPUT"/>
    <NetInput name="INPUT" node="node_AudioStreamFromWave_1" terminal="INPUT" object_type="Stream" description="An audio input stream (IStream)."/>
    <NetCondition name="CONDITION" node="node_AudioStreamFromWave_1" terminal="NOT_EOF"/>
    <NetOutput name="OUTPUT" node="node_SaveWavePCM_1" terminal="OUTPUT" object_type="Map&lt;int,ObjectRef&gt;" description="The same as input."/>
  </Network>
</Document>
